# XmlSerializer Class Reference

XmlSerializer is used for serializing objects as XML, and for reconstructing them again. More...

Inherits simtk::openmm::openmm::_object.

List of all members.

## Public Member Functions
def | __init__
def | serializeSystem
| serializeSystem(System object) -> std.string
def | deserializeSystem
| deserializeSystem(char const * inputString) -> System
def | serialize
| Serialize an object as XML.
def | deserialize
| Reconstruct an object that has been serialized as XML.
def | __del__
| __del__(OpenMM.XmlSerializer self)

## Detailed Description

XmlSerializer is used for serializing objects as XML, and for reconstructing them again.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.XmlSerializer self)

def __init__ | ( |  | self,
|  |  | args,
|  |  | kwargs |
| ) |  |  |

def deserialize | ( |  | inputString | ) |

Reconstruct an object that has been serialized as XML.

def deserializeSystem | ( |  | args | ) |

deserializeSystem(char const * inputString) -> System

This method exists only for backward compatibility.

Deprecated:
  Use deserialize() instead.

def serialize | ( |  | object | ) |

Serialize an object as XML.

def serializeSystem | ( |  | args | ) |

serializeSystem(System object) -> std.string

This method exists only for backward compatibility.

Deprecated:
  Use serialize() instead.

The documentation for this class was generated from the following file:

- openmm.py